> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/database-registration/metadata.md).

# Metadata

Configuration and execution of metadata synchronization.

## Synchronize metadata for a Database asset

> Triggers the database synchronization job for a list of schema connections.\
> \
> This API executes the metadata synchronization as an \*asynchronous job\* and returns the job ID of the triggered\
> job in the response.\
> \
> To monitor the status of a job, use the Jobs resource of the REST Core API: GET /jobs/{jobId}.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Database Registration API","version":"1.6.0"},"tags":[{"name":"Metadata","description":"Configuration and execution of metadata synchronization."}],"servers":[{"url":"/rest/catalogDatabase/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"DatabaseIdInPath":{"name":"databaseId","in":"path","description":"The ID of the Database asset.","required":true,"schema":{"type":"string","format":"uuid"}}},"schemas":{"DatabaseMetadataSynchronizationRequest":{"type":"object","properties":{"schemaConnectionIds":{"description":"The list of the schemas identified by the schema connection ID for which you want to synchronize metadata.\nIf left empty all schemas with rules defined are synchronized.\n","type":"array","items":{"type":"string","format":"uuid"}}}},"Job":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of this resource, i.e. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance].\n","enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"name":{"type":"string","description":"The name of the resource."},"type":{"type":"string","description":"The type of the job."},"userId":{"type":"string","description":"The ID of the user that initiated this job.","format":"uuid"},"progressPercentage":{"type":"number","description":"The progress percentage of the job.","format":"double"},"startDate":{"type":"integer","description":"The start date of the job.","format":"int64"},"endDate":{"type":"integer","description":"The end date of the job.","format":"int64"},"state":{"type":"string","description":"The state of the job.","enum":["WAITING","RUNNING","CANCELING","COMPLETED","CANCELED","ERROR"]},"message":{"type":"string","description":"The message of the job."}},"description":"Represents a job. Job is a single atomic task that is to be performed asynchronously."},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string"},"helpMessage":{"type":"string"},"userMessage":{"type":"string"},"errorCode":{"type":"string"}}}},"responses":{"DatabaseSynchronizationStartedResponse":{"description":"The database metadata synchronization job has started.","headers":{"Location":{"description":"Reference to the Job Details GET API that you can use to track the progress of the job.","schema":{"type":"string","format":"url"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Job"}}}},"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest409":{"description":"Conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/databases/{databaseId}/synchronizeMetadata":{"post":{"tags":["Metadata"],"summary":"Synchronize metadata for a Database asset","description":"Triggers the database synchronization job for a list of schema connections.\n\nThis API executes the metadata synchronization as an *asynchronous job* and returns the job ID of the triggered\njob in the response.\n\nTo monitor the status of a job, use the Jobs resource of the REST Core API: GET /jobs/{jobId}.\n","operationId":"synchronizeDatabaseMetadata","parameters":[{"$ref":"#/components/parameters/DatabaseIdInPath"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatabaseMetadataSynchronizationRequest"}}}},"responses":{"202":{"$ref":"#/components/responses/DatabaseSynchronizationStartedResponse"},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"},"409":{"$ref":"#/components/responses/InvalidRequest409"}}}}}}
```

## List schema metadata synchronization configurations

> Returns the schema metadata configurations defined for the given criteria.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Database Registration API","version":"1.6.0"},"tags":[{"name":"Metadata","description":"Configuration and execution of metadata synchronization."}],"servers":[{"url":"/rest/catalogDatabase/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"SchemaConnectionId":{"name":"schemaConnectionId","in":"query","description":"The ID of the schema connection.","required":false,"schema":{"type":"string","format":"uuid"}},"Offset":{"name":"offset","in":"query","description":"The index of the first result to retrieve.\n\nIf not set (offset = <code>0</code>), results will be retrieved starting from row <code>0</code>.\n","schema":{"type":"integer","format":"int32","default":0}},"Limit":{"name":"limit","in":"query","description":"The maximum number of results to retrieve.\n\nIf not set, the default limit  (limit = <code>0</code>) will be used. The maximum value for this parameter is\n<code>500<code>.\n","schema":{"type":"integer","format":"int32","default":0,"maximum":500}}},"schemas":{"SchemaMetadataConfigurationPagedResponse":{"type":"object","properties":{"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/SchemaMetadataConfiguration"}}}},"SchemaMetadataConfiguration":{"type":"object","required":["schemaConnectionId"],"properties":{"schemaConnectionId":{"type":"string","format":"uuid"},"synchronizationRules":{"$ref":"#/components/schemas/MetadataSynchronizationRules"}}},"MetadataSynchronizationRules":{"type":"array","items":{"$ref":"#/components/schemas/MetadataSynchronizationRule"}},"MetadataSynchronizationRule":{"type":"object","properties":{"include":{"type":"string","description":"A comma-separated list of the names of the tables you want to synchronize. You can use '*' as a wildcard.\nIf no value is defined, all the tables are included by default.\n","default":"*"},"exclude":{"type":"string","description":"A comma-separated list of the names of the tables you do not want to synchronize.\nYou can use this table rule to do the following:\n  1. Synchronize all tables in a schema except the ones defined in the Exclude field.\n  2. Synchronize only tables as defined in the Include field, with the exception of tables that are listed\n     in the Exclude field.\n","default":""},"targetDomainId":{"description":"The ID of a target domain in which the assets are created. If no domain is specified the assets are created\nin the automatically created domain for that schema.\n","type":"string","format":"uuid"},"skipViews":{"type":"boolean","default":false,"description":"A property to exclude database views from the synchronization process.\nIf true, no assets of the type Database View are created.\n"},"registerSourceTags":{"type":"boolean","description":"A property to register source tags when it is supported by the driver.\n"}}},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string"},"helpMessage":{"type":"string"},"userMessage":{"type":"string"},"errorCode":{"type":"string"}}}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/schemaMetadataConfigurations":{"get":{"tags":["Metadata"],"summary":"List schema metadata synchronization configurations","description":"Returns the schema metadata configurations defined for the given criteria.","operationId":"findSchemaMetadataConfigurations","parameters":[{"$ref":"#/components/parameters/SchemaConnectionId"},{"$ref":"#/components/parameters/Offset"},{"$ref":"#/components/parameters/Limit"}],"responses":{"200":{"description":"The schema metadata configuration defined for the given criteria.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchemaMetadataConfigurationPagedResponse"}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"}}}}}}
```

## Add a schema metadata synchronization configuration

> Creates a schema metadata configuration.\
> \
> Only a single configuration can be created for a single schema connection id.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Database Registration API","version":"1.6.0"},"tags":[{"name":"Metadata","description":"Configuration and execution of metadata synchronization."}],"servers":[{"url":"/rest/catalogDatabase/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"schemas":{"SchemaMetadataConfiguration":{"type":"object","required":["schemaConnectionId"],"properties":{"schemaConnectionId":{"type":"string","format":"uuid"},"synchronizationRules":{"$ref":"#/components/schemas/MetadataSynchronizationRules"}}},"MetadataSynchronizationRules":{"type":"array","items":{"$ref":"#/components/schemas/MetadataSynchronizationRule"}},"MetadataSynchronizationRule":{"type":"object","properties":{"include":{"type":"string","description":"A comma-separated list of the names of the tables you want to synchronize. You can use '*' as a wildcard.\nIf no value is defined, all the tables are included by default.\n","default":"*"},"exclude":{"type":"string","description":"A comma-separated list of the names of the tables you do not want to synchronize.\nYou can use this table rule to do the following:\n  1. Synchronize all tables in a schema except the ones defined in the Exclude field.\n  2. Synchronize only tables as defined in the Include field, with the exception of tables that are listed\n     in the Exclude field.\n","default":""},"targetDomainId":{"description":"The ID of a target domain in which the assets are created. If no domain is specified the assets are created\nin the automatically created domain for that schema.\n","type":"string","format":"uuid"},"skipViews":{"type":"boolean","default":false,"description":"A property to exclude database views from the synchronization process.\nIf true, no assets of the type Database View are created.\n"},"registerSourceTags":{"type":"boolean","description":"A property to register source tags when it is supported by the driver.\n"}}},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string"},"helpMessage":{"type":"string"},"userMessage":{"type":"string"},"errorCode":{"type":"string"}}}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/schemaMetadataConfigurations":{"post":{"tags":["Metadata"],"summary":"Add a schema metadata synchronization configuration","description":"Creates a schema metadata configuration.\n\nOnly a single configuration can be created for a single schema connection id.\n","operationId":"addSchemaMetadataConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchemaMetadataConfiguration"}}}},"responses":{"201":{"description":"The schema metadata configuration has been created succesfully. The created configuration is\nincluded in the response.\n","headers":{"Location":{"description":"Reference to the schema metadata configuration GET API","schema":{"type":"string","format":"url"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchemaMetadataConfiguration"}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"}}}}}}
```

## Add multiple schema metadata synchronization configurations

> Adds multiple schema metadata synchronization configurations.\
> \
> This operation is executed in a single transaction, that creates all the configurations. In case the operation fails,\
> none of the configurations are created.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Database Registration API","version":"1.6.0"},"tags":[{"name":"Metadata","description":"Configuration and execution of metadata synchronization."}],"servers":[{"url":"/rest/catalogDatabase/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"schemas":{"SchemaMetadataConfigurations":{"type":"array","items":{"$ref":"#/components/schemas/SchemaMetadataConfiguration"}},"SchemaMetadataConfiguration":{"type":"object","required":["schemaConnectionId"],"properties":{"schemaConnectionId":{"type":"string","format":"uuid"},"synchronizationRules":{"$ref":"#/components/schemas/MetadataSynchronizationRules"}}},"MetadataSynchronizationRules":{"type":"array","items":{"$ref":"#/components/schemas/MetadataSynchronizationRule"}},"MetadataSynchronizationRule":{"type":"object","properties":{"include":{"type":"string","description":"A comma-separated list of the names of the tables you want to synchronize. You can use '*' as a wildcard.\nIf no value is defined, all the tables are included by default.\n","default":"*"},"exclude":{"type":"string","description":"A comma-separated list of the names of the tables you do not want to synchronize.\nYou can use this table rule to do the following:\n  1. Synchronize all tables in a schema except the ones defined in the Exclude field.\n  2. Synchronize only tables as defined in the Include field, with the exception of tables that are listed\n     in the Exclude field.\n","default":""},"targetDomainId":{"description":"The ID of a target domain in which the assets are created. If no domain is specified the assets are created\nin the automatically created domain for that schema.\n","type":"string","format":"uuid"},"skipViews":{"type":"boolean","default":false,"description":"A property to exclude database views from the synchronization process.\nIf true, no assets of the type Database View are created.\n"},"registerSourceTags":{"type":"boolean","description":"A property to register source tags when it is supported by the driver.\n"}}},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string"},"helpMessage":{"type":"string"},"userMessage":{"type":"string"},"errorCode":{"type":"string"}}}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/schemaMetadataConfigurations/batch":{"post":{"tags":["Metadata"],"summary":"Add multiple schema metadata synchronization configurations","description":"Adds multiple schema metadata synchronization configurations.\n\nThis operation is executed in a single transaction, that creates all the configurations. In case the operation fails,\nnone of the configurations are created.\n","operationId":"addMultipleSchemaMetadataConfigurations","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchemaMetadataConfigurations"}}}},"responses":{"201":{"description":"The schema metadata configurations have been created succesfully. The created schema metadata\nconfigurations are included in the response.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchemaMetadataConfigurations"}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"}}}}}}
```

## Retrieve a schema metadata synchronization configuration

> Returns the schema metadata configuration defined for the given criteria.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Database Registration API","version":"1.6.0"},"tags":[{"name":"Metadata","description":"Configuration and execution of metadata synchronization."}],"servers":[{"url":"/rest/catalogDatabase/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"schemas":{"SchemaMetadataConfiguration":{"type":"object","required":["schemaConnectionId"],"properties":{"schemaConnectionId":{"type":"string","format":"uuid"},"synchronizationRules":{"$ref":"#/components/schemas/MetadataSynchronizationRules"}}},"MetadataSynchronizationRules":{"type":"array","items":{"$ref":"#/components/schemas/MetadataSynchronizationRule"}},"MetadataSynchronizationRule":{"type":"object","properties":{"include":{"type":"string","description":"A comma-separated list of the names of the tables you want to synchronize. You can use '*' as a wildcard.\nIf no value is defined, all the tables are included by default.\n","default":"*"},"exclude":{"type":"string","description":"A comma-separated list of the names of the tables you do not want to synchronize.\nYou can use this table rule to do the following:\n  1. Synchronize all tables in a schema except the ones defined in the Exclude field.\n  2. Synchronize only tables as defined in the Include field, with the exception of tables that are listed\n     in the Exclude field.\n","default":""},"targetDomainId":{"description":"The ID of a target domain in which the assets are created. If no domain is specified the assets are created\nin the automatically created domain for that schema.\n","type":"string","format":"uuid"},"skipViews":{"type":"boolean","default":false,"description":"A property to exclude database views from the synchronization process.\nIf true, no assets of the type Database View are created.\n"},"registerSourceTags":{"type":"boolean","description":"A property to register source tags when it is supported by the driver.\n"}}},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string"},"helpMessage":{"type":"string"},"userMessage":{"type":"string"},"errorCode":{"type":"string"}}}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/schemaMetadataConfigurations/{schemaConnectionId}":{"get":{"tags":["Metadata"],"summary":"Retrieve a schema metadata synchronization configuration","description":"Returns the schema metadata configuration defined for the given criteria.","operationId":"getSchemaMetadataConfiguration","responses":{"200":{"description":"The schema metadata configuration defined for the given database and optionally schema.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchemaMetadataConfiguration"}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"}}}}}}
```

## Update schema metadata synchronization configuration

> Updates a schema metadata synchronization configuration.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Database Registration API","version":"1.6.0"},"tags":[{"name":"Metadata","description":"Configuration and execution of metadata synchronization."}],"servers":[{"url":"/rest/catalogDatabase/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"schemas":{"ChangeSchemaMetadataConfigurationRequest":{"allOf":[{"$ref":"#/components/schemas/SchemaMetadataConfiguration"}]},"SchemaMetadataConfiguration":{"type":"object","required":["schemaConnectionId"],"properties":{"schemaConnectionId":{"type":"string","format":"uuid"},"synchronizationRules":{"$ref":"#/components/schemas/MetadataSynchronizationRules"}}},"MetadataSynchronizationRules":{"type":"array","items":{"$ref":"#/components/schemas/MetadataSynchronizationRule"}},"MetadataSynchronizationRule":{"type":"object","properties":{"include":{"type":"string","description":"A comma-separated list of the names of the tables you want to synchronize. You can use '*' as a wildcard.\nIf no value is defined, all the tables are included by default.\n","default":"*"},"exclude":{"type":"string","description":"A comma-separated list of the names of the tables you do not want to synchronize.\nYou can use this table rule to do the following:\n  1. Synchronize all tables in a schema except the ones defined in the Exclude field.\n  2. Synchronize only tables as defined in the Include field, with the exception of tables that are listed\n     in the Exclude field.\n","default":""},"targetDomainId":{"description":"The ID of a target domain in which the assets are created. If no domain is specified the assets are created\nin the automatically created domain for that schema.\n","type":"string","format":"uuid"},"skipViews":{"type":"boolean","default":false,"description":"A property to exclude database views from the synchronization process.\nIf true, no assets of the type Database View are created.\n"},"registerSourceTags":{"type":"boolean","description":"A property to register source tags when it is supported by the driver.\n"}}},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string"},"helpMessage":{"type":"string"},"userMessage":{"type":"string"},"errorCode":{"type":"string"}}}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/schemaMetadataConfigurations/{schemaConnectionId}":{"put":{"tags":["Metadata"],"summary":"Update schema metadata synchronization configuration","description":"Updates a schema metadata synchronization configuration.\n","operationId":"changeSchemaMetadataConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangeSchemaMetadataConfigurationRequest"}}}},"responses":{"200":{"description":"The schema metadata configuration was updated succesfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchemaMetadataConfiguration"}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"}}}}}}
```

## Delete schema metadata synchronization configuration

> Deletes a given schema metadata synchronization configuration.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Database Registration API","version":"1.6.0"},"tags":[{"name":"Metadata","description":"Configuration and execution of metadata synchronization."}],"servers":[{"url":"/rest/catalogDatabase/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}},"schemas":{"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string"},"helpMessage":{"type":"string"},"userMessage":{"type":"string"},"errorCode":{"type":"string"}}}}},"paths":{"/schemaMetadataConfigurations/{schemaConnectionId}":{"delete":{"tags":["Metadata"],"summary":"Delete schema metadata synchronization configuration","description":"Deletes a given schema metadata synchronization configuration.","operationId":"deleteSchemaMetadataConfiguration","responses":{"204":{"description":"The schema metadata configuration was succesfully deleted."},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/database-registration/metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
